Package org.jbpm.services.task.assignment.impl

## Class AssignmentTaskEventListener

- java.lang.Object
- - org.jbpm.services.task.events.DefaultTaskEventListener
  - - org.jbpm.services.task.assignment.impl.AssignmentTaskEventListener

- All Implemented Interfaces:
    `EventListener`, `org.kie.api.task.TaskLifeCycleEventListener`

      public class AssignmentTaskEventListener
      extends DefaultTaskEventListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `org.kie.api.task.TaskLifeCycleEventListener.AssignmentType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AssignmentTaskEventListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterTaskCompletedEvent​(org.kie.api.task.TaskEvent event)` |
    `void` | `afterTaskExitedEvent​(org.kie.api.task.TaskEvent event)` |
    `void` | `afterTaskFailedEvent​(org.kie.api.task.TaskEvent event)` |
    `void` | `afterTaskSkippedEvent​(org.kie.api.task.TaskEvent event)` |

    - ### Methods inherited from class org.jbpm.services.task.events.DefaultTaskEventListener

      `afterTaskActivatedEvent, afterTaskAddedEvent, afterTaskClaimedEvent, afterTaskDelegatedEvent, afterTaskForwardedEvent, afterTaskNominatedEvent, afterTaskReleasedEvent, afterTaskResumedEvent, afterTaskStartedEvent, afterTaskStoppedEvent, afterTaskSuspendedEvent, beforeTaskActivatedEvent, beforeTaskAddedEvent, beforeTaskClaimedEvent, beforeTaskCompletedEvent, beforeTaskDelegatedEvent, beforeTaskExitedEvent, beforeTaskFailedEvent, beforeTaskForwardedEvent, beforeTaskNominatedEvent, beforeTaskReleasedEvent, beforeTaskResumedEvent, beforeTaskSkippedEvent, beforeTaskStartedEvent, beforeTaskStoppedEvent, beforeTaskSuspendedEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `afterTaskAssignmentsAddedEvent, afterTaskAssignmentsRemovedEvent, afterTaskInputVariableChangedEvent, afterTaskNotificationEvent, afterTaskOutputVariableChangedEvent, afterTaskReassignedEvent, afterTaskUpdatedEvent, beforeTaskAssignmentsAddedEvent, beforeTaskAssignmentsRemovedEvent, beforeTaskInputVariableChangedEvent, beforeTaskNotificationEvent, beforeTaskOutputVariableChangedEvent, beforeTaskReassignedEvent, beforeTaskUpdatedEvent`

- - ### Constructor Detail

    - #### AssignmentTaskEventListener

          public AssignmentTaskEventListener()

  - ### Method Detail

    - #### afterTaskSkippedEvent

          public void afterTaskSkippedEvent​(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskSkippedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`
      Overrides:
        `afterTaskSkippedEvent` in class `DefaultTaskEventListener`

    - #### afterTaskCompletedEvent

          public void afterTaskCompletedEvent​(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskCompletedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`
      Overrides:
        `afterTaskCompletedEvent` in class `DefaultTaskEventListener`

    - #### afterTaskFailedEvent

          public void afterTaskFailedEvent​(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskFailedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`
      Overrides:
        `afterTaskFailedEvent` in class `DefaultTaskEventListener`

    - #### afterTaskExitedEvent

          public void afterTaskExitedEvent​(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskExitedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`
      Overrides:
        `afterTaskExitedEvent` in class `DefaultTaskEventListener`